<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/* modified by Artur Wiebe <wibix@gmx.de> */
require_once "maincore.php";
require_once "subheader.php";
require_once "side_left.php";
include LOCALE.LOCALESET."articles.php";

if(!isset($cat_id)) {
    opentable($locale['400']);
    $result = dbquery("SELECT * FROM ".$db_prefix."article_cats".
	" ORDER BY article_cat_name ASC"); 
    $rows = dbrows($result);
    $aw_i = 0;
    if($rows != 0) {
	while($data = dbarray($result)) {
	    if(checkgroup($data['article_cat_access'])) {
		$num = dbcount("(article_cat)", "articles",
		    "article_cat='".$data['article_cat_id']."'");
		$aw_entry = "<table width='100%'><tr>"
		    ."<td class='tbl2'><a href='".FUSION_SELF
		    ."?cat_id=".$data['article_cat_id']."'>"
		    .$data['article_cat_name']
		    ."</a> <span class='small2'>($num)</span></td></tr>";
		if($data['article_cat_description'] != "") {
		    $aw_entry .= "<tr>"
			."<td class='tbl1'><span class='small'>"
			.$data['article_cat_description']."</span></td></tr>";
		}
		$aw_entry .= "</table>";
		$aw_array[$aw_i++] = $aw_entry;
            }
	}
	// output table
	echo "<table width='100%' class='tbl' border='0'>";
	$aw_lines = intval(count($aw_array)/2)
	    + (count($aw_array)%2 ? 1 : 0);
	for($i=0; $i<$aw_lines; $i++) {
	    echo "<tr><td valign='top' width='50%'>"
		.$aw_array[$i]."</td>"
		."<td valign='top'>".$aw_array[$i+$aw_lines]."</td>"
		."</tr>";
	}
	echo "</table>\n";
    } else {
	echo "<center><br>\n".$locale['401']."<br><br>\n</center>\n";
    }
    closetable();


/* one specific cat */
} else {
    $res = 0;
    if (!isNum($cat_id)) fallback(FUSION_SELF);
    $result = dbquery("SELECT * FROM ".$db_prefix."article_cats WHERE article_cat_id='$cat_id'");
    if(dbrows($result) != 0) {
	$cdata = dbarray($result);
	$aw_i = 0;
	if (checkgroup($cdata['article_cat_access'])) {
	    $res = 1;
	    opentable($locale['400'].": ".$cdata['article_cat_name']);
	    $rows= dbcount("(article_id)", "articles", "article_cat='$cat_id'");
	    if(!isset($rowstart) || !isNum($rowstart))
		$rowstart = 0;
	    if($rows != 0) {
		$result = dbquery("SELECT * FROM ".$db_prefix."articles"
		    ." WHERE article_cat='$cat_id'"
		    ." ORDER BY article_subject LIMIT $rowstart,50");
		$numrows = dbrows($result); $i = 2;
		while($data = dbarray($result)) {
		    if($data['article_datestamp']+604800
			> time()+($settings['timeoffset']*3600)) {
			$new = "&nbsp;<span class='small'>["
			    .$locale['402']."]</span>";
		    } else {
			$new = "";
		    }
		    $aw_entry = "<a href='readarticle.php?article_id="
			.$data['article_id']."'>".$data['article_subject']
			."</a>$new<br>\n";
		    $aw_entry .= ($i != $numrows ? "\n" : "\n");
		    $aw_array[$aw_i++] = $aw_entry;
		    $i++;
		}
		// output
		$aw_lines = intval(count($aw_array)/2)
		    + (count($aw_array)%2 ? 1 : 0);
		echo "<table width='100%' class='tbl' border='0'>\n";
		for($i=0; $i<$aw_lines; $i++) {
		    echo "<tr><td valign='top' width='50%'>".$aw_array[$i]
			."</td>"
			."<td valign='top'>".$aw_array[$i+$aw_lines]."</td>";
		}
		echo "</table>\n";
		closetable();
		echo "<div align='center' style='margin-top:5px;'>\n"
		    .makePageNav($rowstart,50,$rows,3,
			FUSION_SELF."?cat_id=$cat_id&")
		    ."\n</div>\n";
	    } else {
		echo "<center>".$locale['403']."</center>\n";
		closetable();
	    }
	}
    }
	if ($res == 0) redirect(FUSION_SELF);
}

require_once "side_right.php";
require_once "footer.php";
?>
